import { TAdvancedImageView } from './types';
export declare const useComplexImageCarousel: ({ images }: {
    images: TAdvancedImageView[];
}) => {
    MOBILE_BREAKPOINT: number;
    containerRef: import("react").RefObject<HTMLDivElement | null>;
    carouselRef: import("react").RefObject<HTMLDivElement | null>;
    imageRefs: import("react").RefObject<HTMLDivElement[]>;
    descriptionRef: import("react").RefObject<HTMLDivElement | null>;
    descriptionItemRef: import("react").RefObject<HTMLDivElement | null>;
    progressButtonContainerRef: import("react").RefObject<HTMLDivElement | null>;
    visible: TAdvancedImageView[];
    cardSizes: string[];
    handleCustomPrevClick: () => void;
    handleCustomNextClick: () => void;
    current: number;
    mobileCardIndex: number;
    xLargeCardIndex: number;
};
